Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get User Details GET
PeopleUsers

Get User Details


Retrieve detailed information about a specific user by their ID.

GET
/api/rest/v2/users/{user_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

user_id*integer

User ID

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/users/0"
{
  "id": 123,
  "first_name": "John",
  "last_name": "Doe",
  "email": "user@fieldnation.com",
  "w2": true,
  "thumbnail": "string_value",
  "zip": "90210",
  "custom_fields": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "correlation_id": "string_value",
    "results": []
  }
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Create Work Order Shipment POST

Previous Page

List Talent Pool Groups GET

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/users/0"